%global ruby_sitelib %(ruby -rrbconfig -e "puts Config::CONFIG['sitelibdir']")
%global gemdir %(ruby -rubygems -e 'puts Gem::dir' 2>/dev/null)
%global gemname shotgun
%global geminstdir %{gemdir}/gems/%{gemname}-%{version}

Summary:        Automatic reloading version of the rackup command
Name:           rubygem-%{gemname}
Version:        0.4
Release:        1%{?dist}
Group:          Development/Languages
License:        MIT
URL:            http://github.com/rtomayko/shotgun/
Source0:        http://gems.rubyforge.org/gems/%{gemname}-%{version}.gem
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:       ruby(abi) = 1.8
Requires:       rubygems
Requires:       rubygem(rack) >= 0.9.1
Requires:       rubygem(launchy) >= 0.3.3
Requires:       rubygem(launchy) < 1.0
BuildRequires:  rubygems
BuildArch:      noarch
Provides:       rubygem(%{gemname}) = %{version}

%description
This is an automatic reloading version of the rackup command that's shipped
with Rack. It can be used as an alternative to the complex reloading logic
provided by web frameworks or in environments that don't support
application reloading.

The shotgun command starts one of Rack's supported servers (e.g., mongrel,
thin, webrick) and listens for requests but does not load any part of the
actual application. Each time a request is received, it forks, loads the
application in the child process, processes the request, and exits the
child process. The result is clean, application-wide reloading of all
source files and templates on each request.


%prep


%build


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{gemdir}
gem install --local --install-dir $RPM_BUILD_ROOT%{gemdir} \
        --force %{SOURCE0}
mkdir -p $RPM_BUILD_ROOT/%{_bindir}
mv $RPM_BUILD_ROOT%{gemdir}/bin/* %{buildroot}/%{_bindir}
rmdir $RPM_BUILD_ROOT%{gemdir}/bin
find $RPM_BUILD_ROOT%{geminstdir}/bin -type f |xargs chmod a+x


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{_bindir}/shotgun
%dir %{geminstdir}
%{geminstdir}/Rakefile
%{geminstdir}/bin
%{geminstdir}/lib
%{geminstdir}/shotgun.gemspec
%{gemdir}/doc/%{gemname}-%{version}
%doc %{geminstdir}/README
%doc %{geminstdir}/COPYING
%{gemdir}/cache/%{gemname}-%{version}.gem
%{gemdir}/specifications/%{gemname}-%{version}.gemspec


%changelog
* Thu Jan 07 2010 Michal Fojtik <mfojtik@redhat.com> - 0.4-1
- Version-Release
- Fixed documentation

* Fri Jun 26 2009 Lubomir Rintel (Good Data) <lubo.rintel@gooddata.com> - 0.3-3
- Get rid of duplicate files (thanks to Mamoru Tasaka)

* Mon Jun 08 2009 Lubomir Rintel (Good Data) <lubo.rintel@gooddata.com> - 0.3-2
- Fix up documentation list
- Depend on ruby(abi)
- Replace defines with globals

* Fri Jun 05 2009 Lubomir Rintel (Good Data) <lubo.rintel@gooddata.com> - 0.3-1
- Package generated by gem2rpm
- Fix up License
